# Class DockerEntity

Namespace
  Awperative

Assembly
  Awperative.dll

Base class for all Awperative entities, manages components as a requirement because that is the job of all entities.

    public abstract class DockerEntity

Inheritance
  object
  DockerEntity

Derived
  Body
  Scene

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### Scene

    public Scene Scene

#### Field Value

Scene

## Methods

### AddComponent<Generic>()

    public Component AddComponent<Generic>() where Generic : Component

#### Returns

Component

#### Type Parameters

`Generic`

### AddComponent<Generic>(object[])

    public Component AddComponent<Generic>(object[] __args) where Generic : Component

#### Parameters

`__args` object[]

#### Returns

Component

#### Type Parameters

`Generic`

### GetComponent<Generic>()

    public Component GetComponent<Generic>() where Generic : Component

#### Returns

Component

#### Type Parameters

`Generic`

### GetComponents<Generic>()

    public Component[] GetComponents<Generic>() where Generic : Component

#### Returns

Component[]

#### Type Parameters

`Generic`

### RemoveComponent(Component)

    public void RemoveComponent(Component __component)

#### Parameters

`__component` Component

### RemoveComponent<Generic>()

    public void RemoveComponent<Generic>() where Generic : Component

#### Type Parameters

`Generic`

### RemoveComponents<Generic>()

    public void RemoveComponents<Generic>() where Generic : Component

#### Type Parameters

`Generic`